import socket

client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
client_socket.connect(('10.0.2.30', 12345))  # Replace with the Server VM's IP address

try:
    while True:
        message = input("Enter message to send: ")
        client_socket.sendall(message.encode())
        data = client_socket.recv(1024)
        print(f"Received: {data.decode()}")
except KeyboardInterrupt:
    print("Closing connection")
finally:
    client_socket.close()
